OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
TopoDSToStep

# TopoDSToStep_MakeGeometricCurveSet Class Reference

This class implements the mapping between a Shape
from TopoDS and a GeometricCurveSet from StepShape in order
to create a GeometricallyBoundedWireframeRepresentation.
.

`#include <TopoDSToStep_MakeGeometricCurveSet.hxx>`

Inheritance diagram for TopoDSToStep_MakeGeometricCurveSet:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TopoDSToStep_MakeGeometricCurveSet (const TopoDS_Shape &SH, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT const Handle_StepShape_GeometricCurveSet & | Value () const
## Private Attributes
Handle_StepShape_GeometricCurveSet | theGeometricCurveSet

## Constructor & Destructor Documentation

Standard_EXPORT TopoDSToStep_MakeGeometricCurveSet::TopoDSToStep_MakeGeometricCurveSet | ( | const TopoDS_Shape & | SH,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

## Member Function Documentation

void TopoDSToStep_MakeGeometricCurveSet::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_MakeGeometricCurveSet::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_MakeGeometricCurveSet::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

Standard_EXPORT const Handle_StepShape_GeometricCurveSet& TopoDSToStep_MakeGeometricCurveSet::Value | ( |  | ) | const

## Field Documentation

Handle_StepShape_GeometricCurveSet TopoDSToStep_MakeGeometricCurveSet::theGeometricCurveSet`[private]`

The documentation for this class was generated from the following file:

- TopoDSToStep_MakeGeometricCurveSet.hxx